"""products table

Revision ID: 2b54c26517fe
Revises: 
Create Date: 2019-09-14 19:28:59.405008

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2b54c26517fe'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('celebrity',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('face', sa.Float(), nullable=True),
    sa.Column('clothes', sa.Float(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('product',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('color', sa.Float(), nullable=True),
    sa.Column('url', sa.String(length=120), nullable=False),
    sa.Column('sex', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_product_url'), 'product', ['url'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_product_url'), table_name='product')
    op.drop_table('product')
    op.drop_table('celebrity')
    # ### end Alembic commands ###
